<mat-dialog-content class="error-modal">
  <div class="error-icon"><i class="fa fa-exclamation-triangle"></i></div>
  <div class="error-title"><span [innerHTML]="data.title"></span></div>
  <div class="error-messages">
    <strong [innerHTML]="data.message"></strong>
  </div>
</mat-dialog-content>
<mat-dialog-actions class="justify-center">
  @if (!data.refresh) {
  <button mat-stroked-button (click)="close()">Close</button>
  } @else {
  <button mat-stroked-button (click)="refresh()">Refresh page</button>
  }
</mat-dialog-actions>
